View Issue Details

IDProjectCategoryView StatusLast Update
13316Bug reports[All Projects] Statisticspublic2018-03-02 10:07
Reporteredit4everAssigned Tomarkusfluer 
PriorityurgentSeveritycrash 
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version 
Summary13316: Statistics Excel export creating broken file
DescriptionWhen trying to export statistics to excel, the exported file seems to be corrupt.
TagsNo tags attached.
Complete LimeSurvey version number (& build)
I will donate to the project if issue is resolved
Browser
Database & DB-Version
Operating System (Server)
Webserver software & version
PHP Version

Activities

edit4ever

edit4ever

2018-02-07 20:44

reporter  

statistic-survey339528.xls (28,160 bytes)
limesurvey_survey_339528.lss (81,231 bytes)
sigmatics

sigmatics

2018-02-15 13:05

reporter   ~46517

Can confirm, happens for me as well on latest 3.3 from Github.
markusfluer

markusfluer

2018-02-21 15:28

developer   ~46685

I can't confirm this.
Which Excel version is used?
edit4ever

edit4ever

2018-02-21 15:30

reporter   ~46686

Excel 2013 - are you saying the above file from the original post opens for you?
markusfluer

markusfluer

2018-02-21 15:41

developer   ~46688

Yes it does, but it is empty.
edit4ever

edit4ever

2018-02-21 15:43

reporter   ~46689

That file was generated by trying to export from statistics. That is the error. I can generate the html and pdf correctly - but that is what is created when selecting excel export.

As an FYI, I can export responses to excel just fine, it's the statistics export that is giving this issue.
edit4ever

edit4ever

2018-03-01 17:34

reporter   ~46855

Updated to 3.4.3 and the excel export is working. You may close this issue. Thanks!

Issue History

Date Modified Username Field Change
2018-02-07 20:44 edit4ever New Issue
2018-02-07 20:44 edit4ever File Added: statistic-survey339528.xls
2018-02-07 20:44 edit4ever File Added: limesurvey_survey_339528.lss
2018-02-15 13:05 sigmatics Note Added: 46517
2018-02-21 14:11 c_schmitz Assigned To => markusfluer
2018-02-21 14:11 c_schmitz Status new => assigned
2018-02-21 14:12 c_schmitz Project Feature requests => Bug reports
2018-02-21 14:12 c_schmitz Priority none => urgent
2018-02-21 14:12 c_schmitz Severity feature => crash
2018-02-21 15:28 markusfluer Note Added: 46685
2018-02-21 15:28 markusfluer Status assigned => feedback
2018-02-21 15:30 edit4ever Note Added: 46686
2018-02-21 15:30 edit4ever Status feedback => assigned
2018-02-21 15:41 markusfluer Note Added: 46688
2018-02-21 15:43 edit4ever Note Added: 46689
2018-03-01 17:34 edit4ever Note Added: 46855
2018-03-02 10:07 olle Status assigned => closed
2018-03-02 10:07 olle Resolution open => fixed